function onBegin()
	disableMovement()
	disableRetry()
	waitUntilOnGround()
	runTo(8572)
	jump(2)
	run(80)
	-- Dashes right
	--player.OverrideDashDirection = vector2(1,0)
	--setPlayerState(2)
	--wait(0.6)
	--setPlayerState(11)
	--player.OverrideDashDirection = nil
	-- Ends dashing
	wait(0.5)
	player.ForceCameraUpdate = false
	coroutine.yield(celeste.CutsceneEntity.CameraTo(vector2(8892, 400), 2.5))
	miniTextbox("CC_SubnauticaInt_EnterRuins")
	wait(5)
	player.ForceCameraUpdate = true
	wait(0.75)
	miniTextbox("CC_SubnauticaInt_EnterRuins2")
	wait(2)
end

function onEnd(room,wasSkipped)
	enableMovement()
	enableRetry()
	if wasSkipped then
		player.Facing = getEnum("Celeste.Facings", "Right")
		teleportTo(9048,504,"SP1")
		player.Facing = getEnum("Celeste.Facings", "Right")
	end
end